Subject: Re: [PATCH net-next v3 04/11] netlink: specs: add specification for wireguard

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Nov 2025 18:27:27 -0800

On Wed, 19 Nov 2025 19:19:28 +0000 Asbjørn Sloth Tønnesen wrote:
> >> Also fine with me. I'd just like consistent function naming, one way or
> >> another.  
> > 
> > IIUC we're talking about the prefix for the kernel C codegen?
> > Feels a bit like a one-off feature to me, but if we care deeply about
> > it let's add it as a CLI param to the codegen. I don't think it's
> > necessary to include this in the YAML spec.  
> 
> IIUC then adding it as a CLI param is more work, and just moves family details
> to ynl-regen, might as well skip the CLI param then and hack it in the codegen.
> 
> Before posting any new patches, I would like to get consensus on this.

The reason other C naming tunables exist (for legacy families!)
is because we need to give enough hints to C code gen to be able
to use existing kernel uAPI headers.

Random "naming preferences" do not belong in the spec. The spec 
is primarily for user space, and it's used by 4 languages already.